bulkcfg::BulkConfiguration_1_0_2::FilterProfile Struct Reference

Filter profiles are named collections of filters. More...

`import"BulkConfiguration.idl";`

## Public Attributes

string | name
| name of the filter profile
string | description
| description of the filter profile
map< string, FilterType > | filterNameToTypeMap
| map filter name to type

## Detailed Description

Filter profiles are named collections of filters.

Custom filter profiles inherit all filters from the builtin profile, i.e. if the filter profile is empty it is identical to the builtin profile. The type for most of the inherited filters can be changed in the derived profile. Only filters with the noOverride flag set are unchangable.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/BulkConfiguration.idl